Package edu.fiu.jtlex

# Interface ILingusticEvent

All Superinterfaces:
  `IANode`

All Known Implementing Classes:
  `LInguisticEvent`

    public interface ILingusticEvent
    extends IANode

Author:
  arada002

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Interface | Description
  --- | --- | ---
  `static class` | `ILingusticEvent.EventAspect` |
  `static class` | `ILingusticEvent.EventIntent` |
  `static class` | `ILingusticEvent.EventType` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getBegin()` | gets the word’s first character position within text
  `int` | `getEnd()` | gets the word’s last character position within text
  `ILingusticEvent.EventIntent` | `getEventIntent()` | an enum that represent the event intent.
  `ILingusticEvent.EventType` | `getEventType()` | An event type that can be REPORT
  `int` | `getId()` | id of the anansi; may not be negative
  `java.lang.String` | `getLemma()` | indicates the ‘head’ or the main term in the noun phrase.
  `edu.fiu.jtlex.data.ILink` | `getSLink()` | SLINK relation linking the Intentional Event and the main event
  `java.lang.String` | `getText()` | gets the textual content of the node
  `edu.fiu.jtlex.data.IEvent` | `toEvent()` | Related event instance

- ## Method Details

  - ### getId

    int getId()
    id of the anansi; may not be negative
    Specified by:
      `getId` in interface `IANode`

  - ### getLemma

    java.lang.String getLemma()
    indicates the ‘head’ or the main term in the noun phrase.

  - ### getText

    java.lang.String getText()
    gets the textual content of the node

  - ### getBegin

    int getBegin()
    gets the word’s first character position within text

  - ### getEnd

    int getEnd()
    gets the word’s last character position within text

  - ### getEventType

    ILingusticEvent.EventType getEventType()
    An event type that can be REPORT

  - ### getEventIntent

    ILingusticEvent.EventIntent getEventIntent()
    an enum that represent the event intent. It can be ACHIEVEMENT, I_STATE, NEGATIVE_I_STATE, POSITIVE_ACTION, or NEGATIVE_ACTION

  - ### toEvent

    edu.fiu.jtlex.data.IEvent toEvent()
    Related event instance

  - ### getSLink

    edu.fiu.jtlex.data.ILink getSLink()
    SLINK relation linking the Intentional Event and the main event